Loading...
Searching...
No Matches
BALL::Exception::FileNotFound Class Reference

`#include <BALL/COMMON/exception.h>`

Inheritance diagram for BALL::Exception::FileNotFound:

## Public Member Functions

| FileNotFound (const char *file, int line, const String &filename)
| ~FileNotFound () throw ()
String | getFilename () const
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Protected Attributes

std::string | filename_
const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

File not found. A given file could not be found.

Definition at line 359 of file COMMON/exception.h.

## Constructor & Destructor Documentation

## FileNotFound()

BALL::Exception::FileNotFound::FileNotFound | ( | const char * | file,
|  | int | line,
|  | const String & | filename )

## ~FileNotFound()

BALL::Exception::FileNotFound::~FileNotFound | ( |  | ) |
throw | ( | ) |  |  |

## Member Function Documentation

## getFilename()

String BALL::Exception::FileNotFound::getFilename | ( |  | ) | const

## Member Data Documentation

## filename_

std::string BALL::Exception::FileNotFound::filename_

protected

Definition at line 370 of file COMMON/exception.h.